/**********************************************************************
 Freeciv - Copyright (C) 2003 - M.C. Kaufman
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/
#ifndef FC__USER_DB_H
#define FC__USER_DB_H

/**************************************************
 The user db statuses are:

 1: an error occurred, possibly we couldn't access the database file.
 2: the password we checked for was ok, or we were able to successfully
    insert an entry.
 3: the user's password was wrong.
 4: the user's we were searching for was found.
 5: the user's we were searching for was not found.
 6. wrong number of arguments to the program.
***************************************************/
enum userdb_status {
  USER_DB_ERROR = 1,
  USER_DB_SUCCESS,
  USER_DB_PASS_WRONG,
  USER_DB_FOUND,
  USER_DB_NOT_FOUND,
  USER_DB_BAD_INPUT
};

void user_db_search(const char *username);
void user_db_check(const char *username, const char *password);
void user_db_create(const char *username, const char *password);

#endif /* FC__USER_DB_H */
